> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Case data statuses

> System-defined IDs for all case data (service-level) statuses and pending statuses.

Each service within an ordered case is represented by case data. The case data includes one or more statuses reflecting the current state of that service.

## Status

The following table lists the possible statuses for case data. The status and its ID appear respectively as `status` and `statusId` in the response body of API endpoints like [`GET /case/id/{caseId}/data/{serviceTypeId}`](/api-reference/cases/get-case-data-by-case-id).

| *status* | *statusId* | Description |
| - | - | - |
| **acknowledge** | 1a8490cb-084d-4209-bf2f-d46e41d760d6 | Done positive |
| **clear** | e086eea7-e4b7-4c74-ac04-4c3b51c23a33 | Done and good |
| **consider** | f657c777-c38d-489b-ac26-dd9bf0a88724 | Done and needs review |
| **not\_found** | 96e0420a-4396-4bd1-9b54-447f00eb3ed8 | Unable to verify |
| **canceled** | 3d726502-d2e2-4d10-859b-8a218f22086d | Not performed |
| **complete** | case-data-status-complete | Done without prejudice |
| **pending** | 8f29e0de-10f2-4c84-8379-16c6eb7cdf64 | In progress |
| **error** | case-data-status-error | Error during processing |

> **Note:** Some `statusId` values are GUIDs, while others are human-readable identifiers. The GUID-based IDs are legacy values from the original statuses introduced before we adopted human-readable IDs. To preserve backward compatibility, those original GUID-based status IDs were not changed and we have no plans to change them.

## Pending status

The following table lists the possible pending statuses for certain case data. The pending status and its ID appear respectively as `pendingStatus` and `pendingStatusId` in the response body of API endpoints like [`GET /case/id/{caseId}/data/{serviceTypeId}`](/api-reference/cases/get-case-data-by-case-id).

| Case data pending status | ID | Description |
| - | - | - |
| **Drug Test Appointment Scheduled** | drugtest-appointment-scheduled | Applies to drug screenings |
| **Drug Test Appointment Change** | drugtest-appointment-change | Applies to drug screenings |
| **Drug Test Appointment Canceled** | drugtest-appointment-canceled | Applies to drug screenings |
| **Drug Test Appointment Requested** | drugtest-appointment-requested | Applies to drug screenings |
| **Drug Test Sent to Lab** | drugtest-sent | Applies to drug screenings |
| **Drug Test Received at Lab** | drugtest-received | Applies to drug screenings |
| **Drug Test In Review** | drugtest-review | Applies to drug screenings |
| **Drug Test Pending** | drugtest-pending | Applies to drug screenings |
| **Drug Test Expired** | drugtest-expired | Applies to drug screenings |
| **Appointment Scheduled** | pending-status-scheduled | Applies to OHS services |
| **Appointment Rescheduled** | pending-status-rescheduled | Applies to OHS services |
| **Appointment Canceled** | pending-status-canceled | Applies to OHS services |
| **Appointment Requested** | pending-status-requested | Applies to OHS services |
| **Pending (Processing)** | pending-status-pending | Applies to OHS services |
| **Appointment No Show** | pending-status-no-show | Applies to OHS services |
| **Partial Results (Processing)** | pending-status-partial | Applies to OHS services |
| **Refusal to Test** | pending-status-refusal | Applies to OHS services |
| **Suspended (Waiting for TB Read)** | pending-status-suspended | Applies to OHS services |
| **Medical Review** | pending-status-medical-review | Applies to OHS services |
| **Not Performed** | pending-status-not-performed | Applies to any service |
| **Order In Progress** | pending-status-order-in-progress | Applies to OHS services |
| **Cancel In Progress** | pending-status-cancel-in-progress | Applies to OHS services |
| **Auth Packet Created** | pending-status-clinic-auth-created | Applies to OHS services |
| **Auth Packet Sent** | pending-status-clinic-auth-sent | Applies to OHS services |
| **Follow Up Required** | pending-status-followup-required | Applies to drug screenings |
| **Awaiting Documentation** | pending-status-missing-document | Applies to OHS services |
